package com.ruoyi.zhushi.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.zhushi.entity.NjBalanceManage;
import com.ruoyi.zhushi.entity.NjBalanceManageDTO;
import com.ruoyi.zhushi.mapper.NjBalanceManageMapper;
import com.ruoyi.zhushi.service.NjBalanceManageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class NjBalanceManageServiceImpl implements NjBalanceManageService {

    @Autowired
    private NjBalanceManageMapper njBalanceManageMapper;

    @Override
    public TableDataInfo<NjBalanceManageDTO> queryPageList(NjBalanceManageDTO njBalanceManageDTO, PageQuery pageQuery) {
        LambdaQueryWrapper<NjBalanceManage> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(njBalanceManageDTO.getUserName()!= null, NjBalanceManage::getUserName, njBalanceManageDTO.getUserName());
        queryWrapper.eq(njBalanceManageDTO.getNickName()!= null, NjBalanceManage::getNickName, njBalanceManageDTO.getNickName());
        IPage<NjBalanceManageDTO> njBalanceManageDTOS = njBalanceManageMapper.selectVoPage(pageQuery.build(), queryWrapper, NjBalanceManageDTO.class);
        return TableDataInfo.build(njBalanceManageDTOS);
    }

    @Override
    public void insertBatch(List<NjBalanceManage> njBalanceManages) {
        njBalanceManageMapper.insertBatch(njBalanceManages);
    }
}
